<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_222) on Fri Nov 08 16:38:32 CET 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>V-Index</title>
<meta name="date" content="2019-11-08">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="V-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../practica22/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">C</a>&nbsp;<a href="index-2.html">E</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">L</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">P</a>&nbsp;<a href="index-7.html">S</a>&nbsp;<a href="index-8.html">T</a>&nbsp;<a href="index-9.html">V</a>&nbsp;<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaCampEmail-java.lang.String-">validaCampEmail(String)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">valida el email</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaCampNoBuit-java.lang.String-">validaCampNoBuit(String)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">valida que el campo no este vacío</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/Validador.html#validaCampNoBuit-java.lang.String-">validaCampNoBuit(String)</a></span> - Method in class practica22.<a href="../practica22/Validador.html" title="class in practica22">Validador</a></dt>
<dd>
<div class="block">Validar que cap dels camps de text requerits (inclòs el camp de
 comentaris) sigui correcte.</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaCampUrl-java.lang.String-">validaCampUrl(String)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">valida sitio web</div>
</dd>
<dt><a href="../practica22/Validador.html" title="class in practica22"><span class="typeNameLink">Validador</span></a> - Class in <a href="../practica22/package-summary.html">practica22</a></dt>
<dd>
<div class="block">MIMAR EL DE PERSONAS DE LA SSESSIO 7</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/Validador.html#Validador--">Validador()</a></span> - Constructor for class practica22.<a href="../practica22/Validador.html" title="class in practica22">Validador</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaParaulesProhibides-java.lang.String-">validaParaulesProhibides(String)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">valida que no saltan estas palabras [“ximple”,”imbècil”,”babau”,”inútil”,”burro”,”loser”,”noob”,”capsigrany”,”torrecollons”,”fatxa”,”nazi”,”supremacista”]</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaPrimeraLetraMAjusculas-java.lang.String-">validaPrimeraLetraMAjusculas(String)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">Validar que el campo no nombre empieza unicamente con una lletra en
 majúscules.</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/ProvaValidador.html#validaTamanyMaximCamp-java.lang.String-int-">validaTamanyMaximCamp(String, int)</a></span> - Method in class practica22.<a href="../practica22/ProvaValidador.html" title="class in practica22">ProvaValidador</a></dt>
<dd>
<div class="block">Validar que els camps de texto 1,2 i 3 no superin els 40 caràcters de
 llarg.</div>
</dd>
<dt><span class="memberNameLink"><a href="../practica22/Validador.html#validaTamanyMaximCamp-java.lang.String-int-">validaTamanyMaximCamp(String, int)</a></span> - Method in class practica22.<a href="../practica22/Validador.html" title="class in practica22">Validador</a></dt>
<dd>
<div class="block">Validar que els camps de texto 1,2 i 3 
 no superin els 40 caràcters de llarg.</div>
</dd>
</dl>
<a href="index-1.html">C</a>&nbsp;<a href="index-2.html">E</a>&nbsp;<a href="index-3.html">G</a>&nbsp;<a href="index-4.html">L</a>&nbsp;<a href="index-5.html">M</a>&nbsp;<a href="index-6.html">P</a>&nbsp;<a href="index-7.html">S</a>&nbsp;<a href="index-8.html">T</a>&nbsp;<a href="index-9.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../practica22/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li>Next Letter</li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
